const errors = [
  {
    errno: -1,
    code: 'UNKNOWN',
    description: 'unknown error',
  },
  {
    errno: 0,
    code: 'OK',
    description: 'success',
  },
  {
    errno: 1,
    code: 'EUNAVLINK',
    description: 'unavailable link',
  },
  {
    errno: 2,
    code: 'EEXIST',
    description: 'path already exists',
  },
  {
    errno: 3,
    code: 'ENOENT',
    description: 'path does not exists',
  }];

const errno = {};
const code = {};

errors.forEach((error) => {
  errno[error.errno] = error;
  code[error.code] = error;
});

export default { errno, code };
